IFPORT(8)

NAME
ifport - select the transceiver type for a network interface

SYNOPSIS
ifport interface [auto|10baseT|10base2|aui|100baseT|##]

DESCRIPTION
Ifport sets the transceiver type for the specified network interface, for drivers that support multiple transceiver types. If a type is not specified on the command line, then the current type is displayed. The type can be specified either numerically or by keyword. The five standard transceiver types (auto, 10baseT, 10base2, aui, and 100baseT) correspond to codes 0 to 3, for all the Linux PCMCIA network drivers. The keyword match is case insensitive.

The network drivers may not reconfigure a card for a new transceiver type if the interface is already open. It is best to invoke ifport prior to configuring the interface with ifconfig to ensure that the new setting takes effect immediately.

AUTHOR
David Hinds - dhinds@hyper.stanford.edu

SEE ALSO
ifconfig(8).